Name: skrooge
Version: 0.5.5
Release: %mkrel 1
Summary: Personal Finance Management Tool
Source0: http://websvn.kde.org/*checkout*/tags/skrooge/%{version}/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Office
Url: http://extragear.kde.org/apps/skrooge/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: qca2-devel
BuildRequires: kdesdk4-scripts
BuildRequires: sqlite3-devel
BuildRequires: libofx-devel
Requires: qt4-database-plugin-sqlite

# We add this obsolete during the time we have not kmymoney2
Obsoletes: kmymoney2 < 1.0.0-0.1013464.2

%description
Skrooge is a personal finance management tool for KDE4, with the aim of
being highly intuitive, while providing powerful functions such as
graphics, persistent Undo/Redo, infinite category levels, and much more...

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*.so
%{_kde_datadir}/applications/kde4/*.desktop
%{_datadir}/mime/packages/*.xml
%{_kde_datadir}/config.kcfg/*.kcfg
%{_kde_services}/*.desktop
%{_kde_servicetypes}/*.desktop
%{_kde_appsdir}/*
%{_kde_iconsdir}/*/*/*/*

#-------------------------------------------------------------------

%define major 1
%define libname %mklibname skrooge %major

%package -n %libname
Summary: skrooge library
Group: System/Libraries

%description -n %libname
Skrooge library.

%files -n %libname
%defattr(-,root,root)
%{_kde_libdir}/*.so.%{major}
%{_kde_libdir}/*.so.%{version}
%{_kde_plugindir}/designer/*.so.%{major}
%{_kde_plugindir}/designer/*.so.%{version}

#-------------------------------------------------------------------

%package devel
Summary: skrooge development files
Group: Development/KDE and Qt
Requires: %{libname} = %{version}-%{release}
Conflicts: %{name} < 0.2.3

%description devel
This package contains header files needed if you wish to build applications
based on skrooge.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/*.so
%{_kde_plugindir}/designer/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build


%find_lang %name --with-html

%clean
rm -rf %{buildroot}


%changelog
* Tue Dec 01 2009 Funda Wang <fwang@mandriva.org> 0.5.5-1mdv2009.0
+ Revision: 472294
- new version 0.5.5

* Tue Nov 24 2009 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 469411
- new version 0.5.4

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 460549
- New version 0.5.3

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.2-2mdv2010.0
+ Revision: 457523
- Obsolete KMymoney2 for the moment ( this will be removed when we will have it back )

* Fri Oct 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 456416
- Update to new version 0.5.2

* Tue Sep 22 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 447105
- New version 0.5.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix file list

* Wed Sep 09 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 435256
- fix doc installation

* Wed Jun 03 2009 Funda Wang <fwang@mandriva.org> 0.2.9-1mdv2010.0
+ Revision: 382448
- fix desktop installation
- New version 0.2.9

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 0.2.8-1mdv2010.0
+ Revision: 372038
- New version 0.2.8

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.2.7-1mdv2010.0
+ Revision: 369672
- New version 0.2.7

* Fri Mar 20 2009 Funda Wang <fwang@mandriva.org> 0.2.5-1mdv2009.1
+ Revision: 358276
- New version 0.2.5

* Wed Mar 04 2009 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.1
+ Revision: 348414
- BR ofx
- New version 0.2.4

* Wed Feb 25 2009 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.1
+ Revision: 344625
- New version 0.2.3

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 340165
- new version 0.2.2

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 336323
- BR qca2
- New version 0.2.1

* Wed Jan 21 2009 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2009.1
+ Revision: 332301
- add requires

* Mon Jan 19 2009 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 331080
- New version 0.2.0

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.1.9-1mdv2009.1
+ Revision: 324714
- fix file list
- New verison 0.1.9

* Tue Dec 23 2008 Funda Wang <fwang@mandriva.org> 0.1.8-1mdv2009.1
+ Revision: 317759
- drop wrong desktop file
- new version 0.1.8

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 314710
- New version 0.1.7

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 0.1.6-1mdv2009.1
+ Revision: 308955
- new version 0.1.6

* Tue Nov 25 2008 Funda Wang <fwang@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 306525
- fix url
- import skrooge


